/* ***********

	Check comments starting with // ### and fill appropriate code there

   ***********
*/
#pragma implementation
#include <stdio.h>
#include <string.h>
#include <translat.h>
#include "gurus.h"
#include "gurus.m"

MODULE_DEFINE_VERSION(gurus);

PUBLIC MODULE_gurus::MODULE_gurus()
	: LINUXCONF_MODULE("gurus")
{
	linuxconf_loadmsg ("gurus",PACKAGE_REV);
}


static const char *keymenu=NULL;

PUBLIC void MODULE_gurus::setmenu (
	DIALOG &dia,
	MENU_CONTEXT context)
{
	if (context == MENU_GURUS){
		keymenu = MSG_U(M_gurus,"Friendly helpers (Gurus)");
		dia.new_menuitem ("gurus","",keymenu);
	}
}

PUBLIC int MODULE_gurus::domenu (
	MENU_CONTEXT context,
	const char *key)
{
	if (context == MENU_GURUS){
		if (key == keymenu){
			// ### Place the call to the edit function here
		}
	}
	return 0;
}


PUBLIC int MODULE_gurus::dohtml (const char *key)
{
	int ret = LNCF_NOT_APPLICABLE;
	if (strcmp(key,"gurus")==0){
		// ### Insert any menu and dialog here
		ret = 0;
	}
	return ret;
}


static void usage()
{
	xconf_error (MSG_U(T_USAGE
		,"linuxconf --modulemain gurus usage\n"
		 "\n"
		 "    gurus --option ...\n")
		);
}

PUBLIC void MODULE_gurus::usage (SSTRINGS &tb)
{
	tb.add (new SSTRING (MSG_R(T_USAGE)));
}

PUBLIC int MODULE_gurus::execmain (int argc , char *argv[])
{
	int ret = LNCF_NOT_APPLICABLE;
	const char *pt = strrchr(argv[0],'/');
	if (pt != NULL){
		pt++;
	}else{
		pt = argv[0];
	}
	if (strcmp(pt,"gurus")==0){
		ret = -1;
		if (argc == 1){
			// ### Place call to main menu of the module
		}else{
			// ### Add some option parsing for the module
			::usage();
		}
	}
	return ret;
}


static MODULE_gurus gurus;

