/* shellmod.cc 14/04/2000 18.45.56 */
PUBLIC MODULE_shellmod::MODULE_shellmod (void);
PUBLIC void MODULE_shellmod::setmenu (DIALOG&dia,
	 MENU_CONTEXT context);
PUBLIC void MODULE_shellmod::setmenu (DIALOG&dia, const char *menuid);
PUBLIC int MODULE_shellmod::domenu (MENU_CONTEXT context,
	 const char *key);
PUBLIC int MODULE_shellmod::domenu (const char *menuid,
	 const char *key);
PUBLIC int MODULE_shellmod::dohtml (const char *key);
PUBLIC void MODULE_shellmod::usage (SSTRINGS&tb);
PUBLIC int MODULE_shellmod::execmain (int argc, char *argv[]);
/* _dict.cc 05/12/1998 12.47.48 */
/* modules.cc 15/04/2000 00.46.48 */
PUBLIC MENUENTRY::MENUENTRY (const char *_func,
	 const char *_context,
	 const char *_title);
PUBLIC MENUENTRY *MENUENTRIES::getitem (int no)const;
PUBLIC COMANAGER::COMANAGER (const char *_func, const char *_dialog);
PUBLIC COMANAGER *COMANAGERS::getitem (int no)const;
PUBLIC SHELLMOD::SHELLMOD (const char *_path);
PUBLIC void SHELLMOD::write (void);
PRIVATE SHELL_INSTANCE *SHELLMOD::newinst (void);
PUBLIC void SHELLMOD::exec (const char *func);
PUBLIC int SHELLMOD::collect (void);
PUBLIC SHELLMOD *SHELLMODS::getitem (int no)const;
PUBLIC SHELLMODS::SHELLMODS (void);
PUBLIC int SHELLMODS::write (void);
PUBLIC void SHELLMOD::setupdia (DICTIONARY&dict,
	 const char *func_prefix,
	 DIALOG&dia);
PUBLIC int SHELLMOD::save (DICTIONARY&dict, const char *func_prefix);
PUBLIC int SHELLMOD::deluser (DICTIONARY&dict,
	 const char *func_prefix);
PUBLIC int SHELLMOD::validate (DICTIONARY&dict,
	 const char *func_prefix,
	 int &nof);
/* protocol.cc 14/04/2000 18.42.20 */
PUBLIC DIALOG_VAR::DIALOG_VAR (const char *_id);
PUBLIC DIALOG_VAR *DIALOG_VARS::getitem (int no)const;
PUBLIC DIALOG_VAR *DIALOG_VARS::locate (const char *id)const;
PUBLIC SHELL_DIALOG::SHELL_DIALOG (void);
PUBLIC SHELL_DIALOG::~SHELL_DIALOG (void);
PUBLIC void SHELL_DIALOG::dump (POPEN&pop);
PUBLIC SHELL_DIALOG *SHELL_DIALOGS::getitem (int no)const;
PUBLIC SHELL_INSTANCE::SHELL_INSTANCE (const char *path);
PUBLIC bool SHELL_INSTANCE::isalive (void);
PRIVATE void SHELL_INSTANCE::dump (void);
PRIVATE int SHELL_INSTANCE::parse_butopt (const char *s,
	 SHELL_DIALOG *sdia);
PRIVATE int SHELL_INSTANCE::parse (MENUENTRIES *entries,
	 COMANAGERS *managers,
	 int *nof);
PUBLIC int SHELL_INSTANCE::runfunc (const char *key);
PUBLIC int SHELL_INSTANCE::collect (MENUENTRIES&entries,
	 COMANAGERS&managers);
PUBLIC int SHELL_INSTANCE::comanage (DIALOG *dia,
	 DICTIONARY&dict,
	 const char *func_prefix,
	 const char *func_suffix,
	 int *nof);
/* build.cc 04/04/2000 01.36.52 */
/* comng.cc 10/01/1999 20.53.26 */
PUBLIC MODULES_COMNG::MODULES_COMNG (SHELLMOD *_mod,
	 COMANAGER *_mng,
	 DICTIONARY&_dict);
PUBLIC void MODULES_COMNG::setupdia (DIALOG&dia);
PUBLIC int MODULES_COMNG::save (PRIVILEGE *);
PUBLIC int MODULES_COMNG::validate (DIALOG&, int &nof);
PUBLIC int MODULES_COMNG::deluser (PRIVILEGE *);
/* stub.cc 15/10/1999 18.47.42 */
/* shellprg.cc 01/12/1999 22.37.50 */
